package app.barcode;

import app.ApiController;
import app.saaspass.SaaspassApiService;
import app.saaspass.error.RestApiException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
class BarcodeController extends ApiController {

	private static final Logger log = LoggerFactory.getLogger(BarcodeController.class);

	@Autowired
	private SaaspassApiService saaspassApiService;

	@GetMapping("/barcode")
	private ResponseEntity<?> barcode(BarcodeRequest request) {
			BarcodeResponse barcodeResponse = saaspassApiService.getBarcode(request.getType(), request.getSession());
			return ResponseEntity.ok(barcodeResponse);
	}

}
