package app.error;

import java.util.Collections;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.servlet.mvc.method.annotation.ResponseEntityExceptionHandler;

import app.saaspass.error.RestApiException;
@ControllerAdvice
public class RestExceptionHandler extends ResponseEntityExceptionHandler  {
	
	  @ExceptionHandler(RestApiException.class)
	   protected ResponseEntity<?> handleEntityNotFound(
	           RestApiException e) {
		  return ResponseEntity.status(e.getStatusCode())
                  .body(e.getErrorResponse());
	   }
	  
	  @ExceptionHandler(CustomAppException.class)
	   protected ResponseEntity<?> handleEntityNotFound(
			   CustomAppException e) {
		  return new ResponseEntity<>(Collections.singletonMap("message", e.getMessage()), HttpStatus.INTERNAL_SERVER_ERROR);
	   }

}
