package app.login;

import app.ApiController;
import app.saaspass.error.RestApiException;
import app.error.CustomAppException;
import app.security.JWTToken;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;


import java.util.Collections;

@RestController
class LoginController extends ApiController {

    private static final Logger log = LoggerFactory.getLogger(LoginController.class);

   
    
    @Autowired
    private LoginService loginService;

    @PostMapping("/login")
    private ResponseEntity<?> login(@RequestBody LoginRequest request) {

    		JWTToken data = loginService.doLogin(request.getUsername(),request.getOtp());
    		return ResponseEntity.ok(data);
        
    }
    
    @PostMapping("/passwordLogin")
    private ResponseEntity<?> loginWithPassword(@RequestBody PasswordLoginRequest request) {

			JWTToken data=loginService.doLoginWithPassword(request.getUsername(), request.getPassword());
			return ResponseEntity.ok(data);
        
    }



   
}
