package app.login;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Properties;


import app.error.CustomAppException;

/**
 * Util class that uses properties file to imitate DB users.
 */
public class UserUtil {

	private static Properties properties = null;
	private static File theResource = new File("./src/main/resources/users.properties");

	public static String getUserPasswordByUsername(String username) {
		String password = getValueFromPropertyFile(username);
		return password;

	}

	public static void addUser(String username, String password) {
		properties.put(username, password);
		OutputStream output = null;
		try {
			output = new FileOutputStream(theResource);
			properties.store(output, null);
		} catch (FileNotFoundException e) {
			throw new CustomAppException("Something went wrong!", e);
		} catch (IOException e) {
			throw new CustomAppException("Something went wrong!", e);
		} finally {
			if (output != null) {
				try {
					output.close();
				} catch (final IOException e) {
					e.printStackTrace();
				}
			}
		}

	}
	public static void removeUser(String username) {
		properties.remove(username);
		OutputStream output = null;
		try {
			output = new FileOutputStream(theResource);
			properties.store(output, null);
		} catch (FileNotFoundException e) {
			throw new CustomAppException("Something went wrong!", e);
		} catch (IOException e) {
			throw new CustomAppException("Something went wrong!", e);
		} finally {
			if (output != null) {
				try {
					output.close();
				} catch (final IOException e) {
					e.printStackTrace();
				}
			}
		}

	}

	private static String getValueFromPropertyFile(final String propertyValue) {
		if (properties == null) {
			loadProperties();
		}

		final String readedValue = properties.getProperty(propertyValue);
		return readedValue;
	}

	private static void loadProperties() {
		InputStream stream = null;
		try {
			properties = new Properties();
			stream = new FileInputStream(theResource);
			properties.load(stream);
		} catch (final IOException e) {
		} finally {
			if (stream != null) {
				try {
					stream.close();
				} catch (final IOException e) {
					e.printStackTrace();
				}
			}
		}
	}

}
