package app.saaspass.error;

import org.springframework.http.HttpStatus;

public class RestApiException extends RuntimeException {

	private static final long serialVersionUID = 1L;
	
	private HttpStatus statusCode;
    private SaaspassErrorResponse errorResponse;

    RestApiException(HttpStatus statusCode, SaaspassErrorResponse errorResponse) {
        this.statusCode = statusCode;
        this.errorResponse = errorResponse;
    }

    public HttpStatus getStatusCode() {
        return statusCode;
    }

    public SaaspassErrorResponse getErrorResponse() {
        return errorResponse;
    }
}
