package app.saaspass.error;

/**
 * Some of the possible errors from SAASPASS API.
 * For more details: https://developer.saaspass.com/#error-codes
 */
public enum SaaspassRestErrorEnum {
	
	APPLICATION_NOT_FOUND,
	
	APPLICATION_NOT_ACTIVE,
	
	ACTION_FORBIDDEN_FOR_APPLICATION,
	
	INVALID_IP,
	
	EXPIRED_TOKEN,
	
	INVALID_OTP,
	
	/** OTP is mandatory for account that is assigned to application and verified */
	LOGINFAIL_OTP_MANDATORY_FOR_ACCOUNT,
	
	/** User account is not assigned to the application or it is not verified */
	LOGINFAIL_ACCOUNT_NOTASSIGNED_OR_NOTVERIFIED,
	
	/** Login with an unverified/assigned account is not allowed for the application*/
	LOGINFAIL_UNVERIFIED_ASSIGNED_ACCOUNT_NOT_ALLOWED,
	
	/** Login with an unverified account that is not assigned to the application is not allowed*/
	LOGINFAIL_UNASSIGNED_ACCOUNT_NOT_ALLOWED,
	
	/** Login with non-existing account is not allowed for the application*/
	LOGINFAIL_NONEXIST_ACCOUNT_NOT_ALLOWED,
	
	/** Login with not-assigned account is allowed for application only if account is active*/
	LOGINFAIL_NOTASSIGNED_ALLOWED_IF_ACTIVE;


}
