package app.saaspass.token;

import java.time.Duration;
import java.time.Instant;

class ApplicationToken implements SaaspassToken {
	
	private String tokenValue;
	private Instant expiresOn;

	@Override
	public synchronized void refreshToken(String tokenValue, Instant createdOn) {
		this.tokenValue = tokenValue;
		this.expiresOn = createdOn.plus(Duration.ofHours(1));
	}

	@Override
	public String useToken() {
		if (isExpired()) {
			return null;
		}
		return tokenValue;
	}

	private boolean isExpired() {
		return tokenValue == null || Instant.now().isAfter(expiresOn);
	}

}
