package app.saaspass.token;

import app.saaspass.RestApiUlrProvider;

import javax.annotation.PostConstruct;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * See <a href="https://developers.saaspass.com/#application-scope-token">https://developers.saaspass.com/#application-scope-token</a>
 *
 */
@Service
public class ApplicationTokenService extends SaaspassTokenService {

	private static final Logger log = LoggerFactory.getLogger(ApplicationTokenService.class);

	@Autowired
	private RestApiUlrProvider restApiUlrProvider;

	@PostConstruct
	private void init() {
		this.token = new ApplicationToken();
	}

	@Override
	protected String getTokenUrl() {
		return restApiUlrProvider.getApplicationTokenUrl();
	}

}
