package app.saaspass.token;

import java.time.Instant;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.client.RestTemplate;


abstract class SaaspassTokenService {

	protected SaaspassToken token;

	@Autowired
	@Qualifier("saaspassRestTemplate")
	private RestTemplate restTemplate;

	protected abstract String getTokenUrl();

	public String getToken() {
		String tokenValue = token.useToken();
		if (tokenValue == null) {
			return getNewToken();
		}
		return tokenValue;
	}

	public String getNewToken() {
		Instant now = Instant.now();
		TokenResponse tokenResponse = getTokenFromSaaspass();
		String tokenValue = tokenResponse.getToken();
		token.refreshToken(tokenValue, now);

		return tokenValue;
	}

	public TokenResponse getTokenFromSaaspass() {
		String url = getTokenUrl();
		TokenResponse data = restTemplate.getForObject(url, TokenResponse.class);
		return data;
	}
}
