import { app } from '../../app';
import {apiUrl} from '../../config/api-url.config';
import { RegisterByAdminRequest } from './register.model';
import { SpResponse } from '../../response.model';

export class RegisterByAdminService {

	/** @ngInject */
	constructor(private $http: ng.IHttpService) {
	}

	register(request: RegisterByAdminRequest): ng.IPromise<SpResponse> {
		return this.$http
			.post<SpResponse>(`${apiUrl}/register-by-admin`, request)
			.then(response => response.data);
	}
}

app.service('RegisterByAdminService', RegisterByAdminService);
