import { RemoveAccountService } from './remove-account.service';
import { ErrorResponse } from '../../response.model';

export class RemoveAccountController {

	username: string;

	/** @ngInject */
	constructor(private toastr: Toastr,
		private RemoveAccountService: RemoveAccountService) {
	}

	verifyAccount() {
		this.RemoveAccountService.removeAccount(this.username).then(response => {
			const json = JSON.stringify(response, null, ' ');
			this.toastr.success(`<pre>${json}</pre>`);
		}).catch((response: ng.IHttpPromiseCallbackArg<ErrorResponse>) => {
			const json = JSON.stringify(response.data, null, ' ');
			this.toastr.error(`<pre>${json}</pre>`);
		});
	}
}
