import { app } from '../../app';
import { apiUrl } from '../../config/api-url.config';
import { AuthService } from '../../auth/auth.service';
import { SpResponse } from '../../response.model';

export class RemoveAccountService {

	/** @ngInject */
	constructor(private $http: ng.IHttpService,
		private AuthService: AuthService) {
	}

	removeAccount(username: string): ng.IPromise<SpResponse> {

		return this.$http.post<SpResponse>(
			`${apiUrl}/remove-account`,
			{ username: username }
		).then(
			response => response.data
		).finally(
			() => this.AuthService.logout()
		);

	}
}

app.service('RemoveAccountService', RemoveAccountService);
