import {app} from '../app';
import {AuthService} from './auth.service';

app.config(httpConfig);

/** @ngInject */
function httpConfig($httpProvider: ng.IHttpProvider) {
    $httpProvider.interceptors.push(AuthenticationInterceptor);
}

/** @ngInject */
function AuthenticationInterceptor($q: ng.IQService,
                                   $injector: ng.auto.IInjectorService): ng.IHttpInterceptor {

    return {request, responseError};

    function request(config: ng.IRequestConfig): ng.IRequestConfig {
		let token = localStorage.getItem('token');
		if (token === null) {
			token = '';
		}
        config.headers['Authorization'] = `Bearer ${token}`;
        return config;
    }

    function responseError(rejection: ng.IHttpPromiseCallbackArg<any>) {

        const $state = $injector.get('$state') as ng.ui.IStateService;
        const AuthService = $injector.get('AuthService') as AuthService;

        if ([-1, 401, 403].indexOf(rejection.status) > -1) {
            AuthService.logout();
            $state.go('app.login.saaspass');
        }

        return $q.reject(rejection);
    }
}
