import * as jwtDecode from 'jwt-decode';

export class Principal {

    username: string;
    roles: string[];
    timeout: Date;

    static fromJwt(jwt: string): Principal {
        const payload: JwtPayload = jwtDecode(jwt);
        return {
            username: payload.sub,
            roles: (payload.auth || '').split(','),
            timeout: new Date(payload.exp * 1000)
        };
    }
}

interface JwtPayload {
    sub: string;  // 'user@example.com'
    auth: string; // 'ROLE_ADMIN,ROLE_USER'
    exp: number;  // 1487654321
}
