import {app} from '../app';
import {apiUrl} from '../config/api-url.config';
import {sessionId} from '../config/session-id.config';
import {BarcodeResponse, IlbtBarcode} from './barcode.model';
import {BarcodeType} from './barcode-type';

export class BarcodeService {

    /** @ngInject */
    constructor(private $http: ng.IHttpService) {
    }

    barcodeImage(type: BarcodeType): ng.IPromise<string> {
        return this.barcode(type).then((response: BarcodeResponse) =>
            `data:image/png;base64,${response.barcodeimage}`
        );
    }

    bluetoothCode(): ng.IPromise<string> {
        return this.barcode('BT').then((response: BarcodeResponse) =>
            `saaspass://bluepass?${response.bluetoothcode}`
        );
    }
	barcodeImageandBluetoothcode(): ng.IPromise<IlbtBarcode> {
        return this.$http
            .get<BarcodeResponse>(`${apiUrl}/barcode?session=${sessionId}&type=ILBT`)
            .then(response => {
				var barcode ={image:'',bluepass:''};
					barcode.image=`data:image/png;base64,${response.data.barcodeimage}`;
					barcode.bluepass=`saaspass://bluepass?${response.data.bluetoothcode}`;
				
				return barcode;
			});
    }
   private barcode(type: BarcodeType): ng.IPromise<BarcodeResponse> {
        return this.$http
            .get<BarcodeResponse>(`${apiUrl}/barcode?session=${sessionId}&type=${type}`)
            .then(response => response.data);
    }
}

app.service('BarcodeService', BarcodeService);
