import { app } from '../app';
import { AuthService } from '../auth/auth.service';

app.run(config);



/** @ngInject */
function config($log: ng.ILogService,
	$injector: ng.auto.IInjectorService,
	$rootScope: ng.IRootScopeService,
	$state: ng.ui.IStateService,
	AuthService: AuthService) {


	$rootScope.$on('$stateChangeStart',
		function(event, toState, toParams, fromState, fromParams) {
			debugger;
			if (!AuthService.isLoggedIn()) {
				if (toState.name.includes('admin') || toState.name.includes('second-step-login')) {
					event.preventDefault();
					$state.go('app.login.saaspass');
				}
			} else {
			AuthService.getPrincipal().then(principal => {
				debugger;
				if (toState.name.includes('admin')) {
					debugger;
					if (principal.roles.indexOf('ROLE_ADMIN') === -1) {
						debugger;
						AuthService.logout();
						event.preventDefault();
						$state.go('app.login.saaspass');
					}
				} else if (toState.name.includes('second-step-login')) {
					debugger;
					if (principal.roles.indexOf('ROLE_PARTIAL') === -1) {
						debugger;
						AuthService.logout();
						event.preventDefault();
						$state.go('app.login.saaspass');
					}
				} else {
				debugger;
				console.log('continuing...');
			}
			});
			}
		});
	$rootScope.$on('$stateChangeError', error);

	function error(event: ng.IAngularEvent,
		toState: ng.ui.IState,
		toParams: { [key: string]: string },
		fromState: ng.ui.IState,
		fromParams: { [key: string]: string },
		error: ng.IHttpPromiseCallbackArg<any>) {

		// prevent blank page on first page load
		if (!fromState.name) {
			$state.go('app.login.saaspass');
		}

		// state change cancelled intentionally
		if (error === undefined) {
			return;
		}

		if (error.status === 401) { //go to role default
			AuthService.getPrincipal().then(principal => {
				if (principal !== null) {
					if (principal.roles.indexOf('ROLE_ADMIN') !== -1) {
						$state.go('app.admin');
					} else if (principal.roles.indexOf('ROLE_PARTIAL') !== -1) {
						$state.go('app.second-step-login');
					}
				} else {
					$state.go('app.login.saaspass');
				}
			});
		}

		const toastr = $injector.get<Toastr>('toastr');
		toastr.error(`${error.status}`, `${error.status}`);

		$log.error(arguments);
	}
}
