import { AuthService } from '../../../auth/auth.service';
import { ErrorResponse } from '../../../response.model';
import { LoginPasswordRequest } from '../login.model';


export class LoginPasswordController {

	request: LoginPasswordRequest;


	/** @ngInject */
	constructor(private $state: ng.ui.IStateService, private toastr: Toastr, private AuthService: AuthService, private $sce: ng.ISCEService) {
	}

	login() {
		this.AuthService.loginWithPass(this.request).then(response => {
			const json = JSON.stringify(response, null, ' ');
			this.toastr.success(`<pre>${json}</pre>`);
			if (response.roles.indexOf('ROLE_ADMIN') !== -1) {
				this.$state.go('app.admin');
			} else {
				this.$state.go('app.second-step-login');
			}
		}).catch((response: ng.IHttpPromiseCallbackArg<ErrorResponse>) => {
			const json = JSON.stringify(response.data, null, ' ');
			this.toastr.error(`<pre>${json}</pre>`);
			this.$state.go('app.login.password');
		});
	}


}
