import { app } from '../../app';
import { apiUrl } from '../../config/api-url.config';
import { sessionId } from '../../config/session-id.config';

export class PushService {

	/** @ngInject */
	constructor(private $http: ng.IHttpService) {
	}

	push(username: string): ng.IPromise<{}> {
		return this.$http
			.post(`${apiUrl}/push-login`, { username, session: sessionId })
			.then(response => response.data);
	}
}

app.service('PushService', PushService);
