import { ErrorResponse } from '../../../response.model';
import { PasswordRegisterRequest } from '../register.model';
import { RegisterByUserService } from '../register.service';

export class PassOnlyRegisterByUserController {

	request: PasswordRegisterRequest;
	barcode: string;
	ilir: boolean;

	/** @ngInject */
	constructor(private $state: ng.ui.IStateService,
		private toastr: Toastr,
		private RegisterByUserService: RegisterByUserService) {

	}


	registerWithPassword() {
		this.RegisterByUserService.registerWithPasswordOnly(this.request).then(response => {
			const json = JSON.stringify(response, null, ' ');


			this.toastr.success(`<pre>${json}</pre>`);
		}).catch((response: ng.IHttpPromiseCallbackArg<ErrorResponse>) => {
			const json = JSON.stringify(response.data, null, ' ');
			this.toastr.error(`<pre>${json}</pre>`);
		});
	}


}
