import { app } from '../../app';
import { apiUrl } from '../../config/api-url.config';
import { AuthService } from '../../auth/auth.service';
import { RegisterByUserRequest, PasswordRegisterByUserRequest, PasswordRegisterRequest } from './register.model';

export class RegisterByUserService {

	/** @ngInject */
	constructor(private $http: ng.IHttpService, private AuthService: AuthService, ) {
	}

	register(request: RegisterByUserRequest): ng.IPromise<{}> {
		return this.$http
			.post<Object>(`${apiUrl}/register-by-user`, request)
			.then(response => { return response.data; });
	}
	registerWithPassword(request: PasswordRegisterByUserRequest): ng.IPromise<{}> {
		return this.$http
			.post<Object>(`${apiUrl}/password-register-by-user`, request)
			.then(response => { return response.data; });
	}
	registerWithPasswordOnly(request: PasswordRegisterRequest): ng.IPromise<{}> {
		return this.$http
			.post(`${apiUrl}/register-password-only`, request)
			.then(response => response.data);
	}
}



app.service('RegisterByUserService', RegisterByUserService);
