import { app } from '../app';
import { apiUrl } from '../config/api-url.config';
import { AuthService } from '../auth/auth.service';
import { Principal } from '../auth/principal.model';
import { SpResponse } from '../response.model';
export class UnregisterService {

	/** @ngInject */
	constructor(private $http: ng.IHttpService,
		private AuthService: AuthService) {
	}

	unregister(): ng.IPromise<SpResponse> {
		return this.AuthService.getPrincipal().then((principal: Principal) =>
			this.$http.post<SpResponse>(
				`${apiUrl}/unregister`,
				{ username: principal.username }
			).then(
				response => response.data
			).finally(
				() => this.AuthService.logout()
			)
		);
	}
}

app.service('UnregisterService', UnregisterService);
