import {app} from './app';
import {wsUrl} from './config/api-url.config';
import {sessionId} from './config/session-id.config';
import {AuthService} from './auth/auth.service';
import {Stomp} from 'stompjs/lib/stomp.js';

app.run(WebsocketHandler);

/** @ngInject */
function WebsocketHandler($state: ng.ui.IStateService,
                          toastr: Toastr,
                          AuthService: AuthService) {

    const ws = new WebSocket(wsUrl);
    const client = Stomp.over(ws);
    client.debug = null;

    client.connect({}, function () {
        client.subscribe(`/topic/instant-login/${sessionId}`, success);
        client.subscribe(`/topic/instant-registration/${sessionId}`, success);
    });

	function success(frame) {

        toastr.info(
            frame.body,
            'Websocket message received'
        );

        const body = JSON.parse(frame.body);
        AuthService.setToken(body.token);
        $state.go('app.admin');
    }
}
